import org.roboid.robot.*;
import processing.hamster.*;

int NUM_ROBOTS = 4;
Hamster[] hamsters = new Hamster[NUM_ROBOTS];

void setup() {
  Hamster.waitUntilReady(NUM_ROBOTS);
  for(int i = 0; i < NUM_ROBOTS; ++i) {
    hamsters[i] = new Hamster(this);
  }
}

void draw() {
}

void repeat() {
  for(Hamster hamster : hamsters) {
    hamster.write(Hamster.LEFT_WHEEL, 50);
    hamster.write(Hamster.RIGHT_WHEEL, 50);
  }
  delay(500);
  for(Hamster hamster : hamsters) {
    hamster.write(Hamster.LEFT_WHEEL, -50);
    hamster.write(Hamster.RIGHT_WHEEL, -50);
  }
  delay(500);
  for(Hamster hamster : hamsters) {
    hamster.write(Hamster.LEFT_WHEEL, -50);
    hamster.write(Hamster.RIGHT_WHEEL, 50);
  }
  delay(500);
}
