import org.roboid.robot.*;
import processing.hamster.*;

Hamster hamster;

void setup() {
  hamster = new Hamster(this);
}

// don't forget 'draw'
void draw() {
}

void control() {
  // move forward
  hamster.write(Hamster.LEFT_WHEEL, 50);
  hamster.write(Hamster.RIGHT_WHEEL, 50);
  delay(500);
  
  // move backward
  hamster.write(Hamster.LEFT_WHEEL, -50);
  hamster.write(Hamster.RIGHT_WHEEL, -50);
  delay(500);
  
  // stop
  hamster.write(Hamster.LEFT_WHEEL, 0);
  hamster.write(Hamster.RIGHT_WHEEL, 0);
  
  // disconnect
  hamster.dispose();
}