import org.roboid.robot.*;
import processing.hamster.*;

Hamster hamster;

void setup() {
  hamster = new Hamster(this);
}

// don't forget 'draw'
void draw() {
}

void control() {
  // acceleration
  for(int i = 0; i < 50; ++i) {
    hamster.write(Hamster.LEFT_WHEEL, i);
    hamster.write(Hamster.RIGHT_WHEEL, i);
    delay(20);
  }
  
  delay(500);
  
  // deceleration
  for(int i = 50; i >= 0; --i) {
    hamster.write(Hamster.LEFT_WHEEL, i);
    hamster.write(Hamster.RIGHT_WHEEL, i);
    delay(20);
  }
  
  // disconnect
  hamster.dispose();
}