import org.roboid.robot.*;
import processing.hamster.*;

int NUM_ROBOTS = 2;
Hamster hamster1, hamster2;
double note1, note2;

void setup() {
  Hamster.waitUntilReady(NUM_ROBOTS);
  hamster1 = new Hamster(this);
  hamster2 = new Hamster(this);
}

void draw() {
}

void repeat() {
  int proximity = hamster1.read(Hamster.LEFT_PROXIMITY);
  if(proximity < 10) proximity = 0;
  note1 = (note1 * 9 + proximity) / 10;
  hamster1.write(Hamster.NOTE, (int)note1);

  proximity = hamster2.read(Hamster.LEFT_PROXIMITY);
  if(proximity < 10) proximity = 0;
  note2 = (note2 * 9 + proximity) / 10;
  hamster2.write(Hamster.NOTE, (int)note2);
}
